summaryrefslogtreecommitdiffstats
path: root/network/retroshare
diff options
context:
space:
mode:
Diffstat (limited to 'network/retroshare')
-rw-r--r--network/retroshare/README14
-rw-r--r--network/retroshare/retroshare.SlackBuild101
-rw-r--r--network/retroshare/retroshare.info10
-rw-r--r--network/retroshare/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/network/retroshare/README b/network/retroshare/README
new file mode 100644
index 0000000000..9e38afa302
--- /dev/null
+++ b/network/retroshare/README
@@ -0,0 +1,14 @@
+RetroShare (Decentralized chat, email, forums, and file sharing)
+
+RetroShare is a Open Source cross-platform, Friend-2-Friend and secure
+decentralised communication platform. It lets you to securely chat
+and share files with your friends, family and coworkers, using a
+web-of-trust to authenticate peers and OpenSSL to encrypt all
+communication. RetroShare provides filesharing, chat, messages,
+forums and channels.
+
+Note: RetroShare uses /usr/lib/retroshare/extensions/ to store its
+plugins, against standard Slackware convention. RetroShare hardwires
+this into the code. This build does not attempt to patch the source
+code to fix this, though the maintainer welcomes patches to fix this
+issue.
diff --git a/network/retroshare/retroshare.SlackBuild b/network/retroshare/retroshare.SlackBuild
new file mode 100644
index 0000000000..2d4d2f721e
--- /dev/null
+++ b/network/retroshare/retroshare.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for retroshare
+
+# Copyright (c) 2014 Aaron W. Hsu <arcfide@sacrideo.us>
+
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=retroshare
+VERSION=${VERSION:-0.5.5}
+BLDID=${BLDID:-6864}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-0.${BLDID}_src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+cd libbitdht/src && qmake && make clean && make
+cd ../../openpgpsdk/src && qmake && make clean && make
+cd ../../supportlibs/pegmarkdown && qmake && make clean && make
+cd ../../libretroshare/src && qmake && make clean && make
+cd ../../rsctrl/src && make
+cd ../../retroshare-nogui/src && qmake && make clean && make
+cd ../../retroshare-gui/src && qmake && make clean && make
+cd ../../plugins/VOIP && qmake && make clean && make
+cd ../../plugins/FeedReader && qmake && make clean && make
+cd ../../plugins/LinksCloud && qmake && make clean && make
+cd ../../
+
+install -D -m 755 retroshare-gui/src/RetroShare $PKG/usr/bin/$PRGNAM
+install -D -m 755 retroshare-nogui/src/retroshare-nogui $PKG/usr/bin/$PRGNAM-nogui
+install -D -m 755 plugins/LinksCloud/libLinksCloud.so \
+ $PKG/usr/lib/retroshare/extensions/libLinksCloud.so
+install -D -m 755 plugins/VOIP/libVOIP.so \
+ $PKG/usr/lib/retroshare/extensions/libVOIP.so
+install -D -m 755 plugins/FeedReader/libFeedReader.so \
+ $PKG/usr/lib/retroshare/extensions/libFeedReader.so
+install -D -m 644 data/retroshare.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 644 data/retroshare.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -D -m 644 data/retroshare.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+install -D -m 644 libbitdht/src/bitdht/bdboot.txt \
+ $PKG/usr/share/RetroShare/bdboot.txt
+cp -R retroshare-gui/src/qss $PKG/usr/share/RetroShare
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/retroshare/retroshare.info b/network/retroshare/retroshare.info
new file mode 100644
index 0000000000..d1a2a2e33b
--- /dev/null
+++ b/network/retroshare/retroshare.info
@@ -0,0 +1,10 @@
+PRGNAM="retroshare"
+VERSION="0.5.5b"
+HOMEPAGE="http://retroshare.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/retroshare/files/RetroShare/0.5.5b/retroshare_0.5.5-0.6864_src.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MD5SUM="746999557a12c47400202fd30655c094"
+REQUIRES="libupnp speex protobuf"
+MAINTAINER="Aaron W. Hsu"
+EMAIL="arcfide@sacrideo.us"
diff --git a/network/retroshare/slack-desc b/network/retroshare/slack-desc
new file mode 100644
index 0000000000..b851a94530
--- /dev/null
+++ b/network/retroshare/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+retroshare: RetroShare (Secure, Decentralized chat, email, forums, file sharing)
+retroshare:
+retroshare: RetroShare is a Open Source cross-platform, Friend-2-Friend and
+retroshare: secure decentralised communication platform. It lets you to securely
+retroshare: chat and share files with your friends, family and coworkers, using
+retroshare: a web-of-trust to authenticate peers and OpenSSL to encrypt all
+retroshare: communication. RetroShare provides filesharing, chat, messages,
+retroshare: forums and channels.
+retroshare:
+retroshare: Project URL: http://retroshare.sourceforge.net
+retroshare: